Opened 4 years ago

Closed 4 years ago

#9846 closed defect (fixed)

Cannot connect AT ALL through Tor and TorBirdy addon.

Reported by: anunnaki Owned by: sukhbir
Priority: High Milestone:
Component: Applications/TorBirdy Version: Tor: unspecified
Severity: Keywords:
Cc: zachm1996@… Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

I have everything configured right. The Vidalia bundle is listening on 127.0.0.1 port 9150 and the TorBirdy addon is set on the same port. I press test new settings and nothing works. Someone please help me out here. No one else really has this problem.

Child Tickets

Change History (5)

comment:1 Changed 4 years ago by sukhbir

Owner: changed from ioerror to sukhbir
Status: newassigned

The configuration seems right. Which version of Thunderbird and TorBirdy are you using?

comment:2 Changed 4 years ago by anunnaki

Replying to sukhbir:

The configuration seems right. Which version of Thunderbird and TorBirdy are you using?

Using Thunderbird version 24.0 and TorBirdy 0.1.1

Could version 24 be incompatible with TorBirdy right now? I am also using OpenVPN to connect to Tor could this be causing a problem? Tor browser works fine even when I have my VPN on. Here is a screenshot of my settings tell me if I need to change anything please.

http://i.imgur.com/LCBBohs.png

Last edited 4 years ago by anunnaki (previous) (diff)

comment:3 in reply to:  2 ; Changed 4 years ago by sukhbir

Replying to anunnaki:

Using Thunderbird version 24.0 and TorBirdy 0.1.1

Could version 24 be incompatible with TorBirdy right now? I am also using OpenVPN to connect to Tor could this be causing a problem? Tor browser works fine even when I have my VPN on. Here is a screenshot of my settings tell me if I need to change anything please.

Aah, so there is the problem. TorBirdy 0.1.1 is not compatible with Thunderbird 24. I had updated the add-ons page to reflect this when TB 24 was released, but it was after a few days so maybe you installed it during that period.

TorBirdy 0.1.2 (next release) supports Thunderbird 24. We will be releasing it this week.

comment:4 in reply to:  3 Changed 4 years ago by anunnaki

Replying to sukhbir:

Replying to anunnaki:

Using Thunderbird version 24.0 and TorBirdy 0.1.1

Could version 24 be incompatible with TorBirdy right now? I am also using OpenVPN to connect to Tor could this be causing a problem? Tor browser works fine even when I have my VPN on. Here is a screenshot of my settings tell me if I need to change anything please.

Aah, so there is the problem. TorBirdy 0.1.1 is not compatible with Thunderbird 24. I had updated the add-ons page to reflect this when TB 24 was released, but it was after a few days so maybe you installed it during that period.

TorBirdy 0.1.2 (next release) supports Thunderbird 24. We will be releasing it this week.

Thank you I thought I was going crazy there! I tried for about an hour and gave up. I guess I'll just have to wait for the next release.

comment:5 Changed 4 years ago by anunnaki

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.